Opened 10 years ago

Closed 10 years ago

#2327 closed defect (fixed)

GET /api/0.6/way/#id/full send duplicated nodeinformations

Reported by: cyron@… Owned by: Tom Hughes
Priority: major Milestone:
Component: api Version:
Keywords: Cc:

Description

If a way got doubled nodes, means that a node is twice directly after itself in a way, not that the first and last item is the same. The node information is going to be send twice.

E.g:

<?xml version="1.0" encoding="UTF-8"?>
<osm version="0.6" generator="OpenStreetMap server">
[...]
<node id="499421155" lat="54.8275823" lon="9.365395" version="1" changeset="2514772" user="Kent Friis" uid="145774" visible="true" timestamp="2009-09-17T18:31:54Z"/>
  <node id="11307077" lat="54.8284206" lon="9.3656645" version="3" changeset="2514772" user="Kent Friis" uid="145774" visible="true" timestamp="2009-09-17T18:31:52Z"/>
  <node id="11307077" lat="54.8284206" lon="9.3656645" version="3" changeset="2514772" user="Kent Friis" uid="145774" visible="true" timestamp="2009-09-17T18:31:52Z"/>
  <node id="442492280" lat="54.8293571" lon="9.3658891" version="1" changeset="1842336" user="Kent Friis" uid="145774" visible="true" timestamp="2009-07-16T08:12:13Z"/>
[...]
<node id="469161628" lat="54.8301437" lon="9.3660867" version="2" changeset="2514772" user="Kent Friis" uid="145774" visible="true" timestamp="2009-09-17T18:31:53Z"/>
  <node id="11307075" lat="54.83063" lon="9.3661316" version="3" changeset="2514772" user="Kent Friis" uid="145774" visible="true" timestamp="2009-09-17T18:31:52Z"/>
  <node id="11307075" lat="54.83063" lon="9.3661316" version="3" changeset="2514772" user="Kent Friis" uid="145774" visible="true" timestamp="2009-09-17T18:31:52Z"/>
  <node id="469161624" lat="54.8310802" lon="9.3660597" version="1" changeset="2163955" user="Kent Friis" uid="145774" visible="true" timestamp="2009-08-16T12:13:18Z"/>
[...]
  <way id="2557563" visible="true" timestamp="2009-09-17T18:32:11Z" version="9" changeset="2514772" user="Kent Friis" uid="145774">
[...]
    <nd ref="499421155"/>
    <nd ref="11307077"/>
    <nd ref="11307077"/>
    <nd ref="442492280"/>
[...]
    <nd ref="469161628"/>
    <nd ref="11307075"/>
    <nd ref="11307075"/>
    <nd ref="469161624"/>
[...]
    <tag k="highway" v="tertiary"/>
    <tag k="name" v="Østre Viaduktvej"/>
  </way>
</osm>

Change History (1)

comment:1 Changed 10 years ago by edgemaster

Resolution: fixed
Status: newclosed

(In [17838]) 5 character patch to only output duplicated nodes once in a way/full call Unit tests not run - problems on this system Fixes #2327

Note: See TracTickets for help on using tickets.